GET https://api.d-tools.com/SI/Subscribe/Projects/GetProjectComments?id={id}&pageNumber={pageNumber}&pageSize={pageSize}
Get project comments published by a SI user.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
The project id. |
string |
Required |
| pageNumber |
The page number. |
integer |
Default value is 1 |
| pageSize |
The page size. |
integer |
Default value is 100 |
Body Parameters
None.
Response Information
Resource Description
ProjectCommentsResult| Name | Description | Type | Additional information |
|---|---|---|---|
| ProjectComments |
Project comments array |
Collection of ProjectComment |
None. |
| TotalCount |
Total count of project comments |
integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"ProjectComments": [
{
"Comment": "sample string 1",
"CommentedOn": "2026-05-10T10:47:59.1163179+00:00",
"CommentedBy": "sample string 3"
},
{
"Comment": "sample string 1",
"CommentedOn": "2026-05-10T10:47:59.1163179+00:00",
"CommentedBy": "sample string 3"
}
],
"TotalCount": 1
}